/****************************************************************************
**
**  Installation-Programm fr GPlan/2 V1.14S
**
**  310596
**
****************************************************************************/
Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

gpverz = ''

'CLS'
Say " ######################################################################"
Say " ##  INSTALL.CMD                                                     ##"
Say " ##    Aufruf: INSTALL [GPlan/2 Verzeichnis]                         ##"
Say " ##    Beispiel: install c:\vga_plan\gplan2                          ##"
Say " ##                                                                  ##"
Say " ##  Diese Datei kopiert die GPlan/2 Shareware-Version 1.14S         ##"
Say " ##  in das angegebene Verzeichnis.                                  ##"
Say " ##                                                                  ##"
Say " ##  Es wird ein Folder 'GPlan/2' auf der WPS angelegt, der die      ##"
Say " ##  Programm-Objekte enthlt.                                       ##"
Say " ##                                                                  ##"
Say " ######################################################################"
Say " Wollen Sie jetzt das Programm installieren? (J/N) "
Parse Upper Pull yesno .
If Substr(yesno,1,1) <> 'J' Then Call Endit

If (Arg() <> 1) Then Call EndPara
Parse arg gpverz;

'del 'gpverz'\gplan2.*'
'md 'gpverz'\mess'
'unzip -o gpl2114.zip -d 'gpverz''

ObjMode = 'F' /* Fail */

Location = '<WP_DESKTOP>'
Title = 'GPlan/2 V1.14S'
Class = 'WPFolder'
SetupString =  'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<GPLAN2V114S_FOLDER>;'
Call MakeObj

ObjMode = 'R' /* Replace */

Location = '<GPLAN2V114S_FOLDER>'
Title = 'GPlan/2 V1.14S'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<GP_PROGRAMM>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||gpverz||'\GPLAN2.EXE;'
SetupString =  SetupString || 'PARAMETERS='||gpverz||';'
SetupString =  SetupString || 'STARTUPDIR='||gpverz||';'
Call MakeObj

Location = '<GPLAN2V114S_FOLDER>'
Title = 'GPlan/2^Konfiguration V1.14S'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<GP_KONFPROGRAMM>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||gpverz||'\GP2KONF.EXE;'
SetupString =  SetupString || 'PARAMETERS='||gpverz||';'
SetupString =  SetupString || 'STARTUPDIR='||gpverz||';'
Call MakeObj

Location = '<GPLAN2V114S_FOLDER>'
Title = 'GPlan/2^Handbuch V1.14S'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<GP_HB>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME=VIEW.EXE;'
SetupString =  SetupString || 'PARAMETERS='||gpverz||'\GPLAN2.INF;'
Call MakeObj


EXIT 0

MakeObj:
    Say Copies('',75)
    Say 'Erstelle 'Title' in 'location' als 'Class
    rc = 0
    rc = SysCreateObject(Class,Title,Location,SetupString,ObjMode)
    if rc then do
       Say 'SysCreateObject returned 'rc
    end
    return

EndPara:
   SAY " "
   SAY " Das Zielverzeichnis wurde nicht angegeben!"
   SAY " ABBRUCH!"
   EXIT 1

Endit:
   EXIT 0
